#include <cex/test/assert.h>

void _print_assert(bool success, const char* label, const char* file, size_t line) {
  fprintf(stderr, "%20s: \t%s" ANSI_RESET, label, success ? ANSI_FG_GREEN "OK" : ANSI_FG_RED "FAILED");
  if (!success)
    fprintf(stderr, " in %s on line %ld", file, line);
  putc('\n', stderr);
}